All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
NppiImageDescriptor Struct Reference
NPP Type Definitions and Constants

General image descriptor. More...

`#include <nppdefs.h>`

## Data Fields

void * | pData
int | nStep
NppiSize | oSize

## Detailed Description

General image descriptor.

Defines the basic parameters of an image, including data pointer, step, and image size. This can be used by both source and destination images.

## Field Documentation

int NppiImageDescriptor::nStep

NppiSize NppiImageDescriptor::oSize

void* NppiImageDescriptor::pData

The documentation for this struct was generated from the following file:

- C:/src/sw/rel/gpgpu/toolkit/r10.1/NPP/npp/include/nppdefs.h

Copyright © 2009-2019 NVIDIA Corporation